- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#body.BatchCreateLineItemsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#body.aspect)
- [CreateLineItemRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#CreateLineItemRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#CreateLineItemRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#try-it)

Creates `LineItem` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/lineItems:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `LineItems` will be created. Format: `networks/{networkCode}` The parent field in the CreateLineItemRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#CreateLineItemRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems/batchCreate#CreateLineItemRequest`)`` Required. The `LineItem` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `lineItems.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lineItems": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems#LineItem`) } ] } ``` |

| Fields ||
|---|---|
| `lineItems[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems#LineItem`)`` The `LineItem` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateLineItemRequest

Request object for `lineItems.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "lineItem": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems#LineItem`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `LineItem` will be created. Format: `networks/{networkCode}` |
| `lineItem` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems#LineItem`)`` Required. The `LineItem` to create. |